from fermiinstallclass import FermiInstallClass
import rhpl
from constants import *
from flags import flags
import os
import iutil
import types
import rpmUtils.arch

import logging
log = logging.getLogger("anaconda")


class InstallClass(FermiInstallClass):
    # name has underscore used for mnemonics, strip if you dont need it
    id = "fermi-generic-server"
    name = ("Scientific Linux Fermi Generic Server")
    description = ("The default installation of %s includes a set of "
                    "software applicable for general internet usage. " )
    hidden = 0                     
    sortPriority = 10000

    def _get_description(self):
        return _(self._description) %(productName,)
    description = property(_get_description)

    def setInstallData(self, anaconda):
	FermiInstallClass.setInstallData(self, anaconda)

    def setGroupSelection(self, anaconda):
        FermiInstallClass.__init__(self, anaconda.backend)

        anaconda.backend.selectGroup("core")
        anaconda.backend.selectGroup("base")
        anaconda.backend.selectGroup("fermi")
        anaconda.backend.selectGroup("fermi-workgroup")
        anaconda.backend.selectGroup("text-internet")

    def setSteps(self, dispatch):
	FermiInstallClass.setSteps(self, dispatch);
#	dispatch.skipStep("partition")
#	dispatch.skipStep("tasksel")
#       dispatch.skipStep("group-selection", skip = 0)

    def __init__(self, expert):
	FermiInstallClass.__init__(self, expert)
